Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class EnergyMonitorLog.Monitor

    java.lang.Object
      avrora.monitors.EnergyMonitor.Monitor
          avrora.monitors.EnergyMonitorLog.Monitor

All Implemented Interfaces:
  EnergyObserver, Monitor

Enclosing class:
  EnergyMonitorLog

public class EnergyMonitorLog.Monitor
extends EnergyMonitor.Monitor
implements EnergyObserver

Nested Class Summary

Nested classes inherited from class avrora.monitors.EnergyMonitor.Monitor
`EnergyMonitor.Monitor.BatteryCheck`

Field Summary
`protected State` | `state`

Fields inherited from class avrora.monitors.EnergyMonitor.Monitor
`platform, simulator`

Method Summary
`void` | `report()` implemenation of report of Monitor class.
`void` | `stateChange(Energy energy)` called when the state of the device changes this component logs these state changes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected State state

Method Detail

### report

    public void report()

  implemenation of report of Monitor class. Called when the simulation ends and reports summaries for the power consumption of all devices to the stdout

  Specified by:
    `report` in interface `Monitor`
  Overrides:
    `report` in class `EnergyMonitor.Monitor`
  See Also:
    `Monitor.report()`

### stateChange

    public void stateChange(Energy energy)

  called when the state of the device changes this component logs these state changes

  Specified by:
    `stateChange` in interface `EnergyObserver`
  Parameters:
    `energy` -
  See Also:
    `EnergyObserver.stateChange(avrora.sim.energy.Energy)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD